Bug 169160 - config program does not show second port on dual port cards
config program does not show second port on dual port cards
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-23 16:01 EDT by Stephen Hemminger
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-28 12:26:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
system-config-network opening dialog (46.34 KB, image/png)
2005-09-27 12:21 EDT, Stephen Hemminger
no flags Details

  None (edit)
Description Stephen Hemminger 2005-09-23 16:01:00 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc4 Firefox/1.0.6

Description of problem:
I am working on driver for SysKonnect dual-port Gigabit Ethernet card.
It is a single PCI device which supports two network devices.
Only the first port of the card shows up in the GUI config table.

Looking at strace output, it looks like the discovery process is looking
for PCI devices then probably assumes a 1:1 relationship, but in this
case it is possible to have a single PCI device with two network ports.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Get a dual-port Ethernet card (SK-9S22) and run sky2 or sk98lin driver
2. Run System Tools -> Network
3. Only one eth device is shown
  

Actual Results:  eth0 ....

Expected Results:  eth0 ....
eth1 ....

Additional info:
Comment 1 Harald Hoyer 2005-09-26 05:04:13 EDT
what does 
# ifconfig eth1 

say?
Comment 2 Stephen Hemminger 2005-09-26 12:49:10 EDT
# ifconfig eth1
eth1      Link encap:Ethernet  HWaddr 00:00:5A:72:6B:87
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:3 errors:0 dropped:0 overruns:0 frame:0
          TX packets:3 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:192 (192.0 b)  TX bytes:192 (192.0 b)

# ifconfig eth2
eth2      Link encap:Ethernet  HWaddr 00:00:5A:72:6B:88
          BROADCAST MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:0 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000
          RX bytes:0 (0.0 b)  TX bytes:0 (0.0 b)

# lspci -vv -s 02:01.0
02:01.0 Ethernet controller: SysKonnect SK-9Sxx Gigabit Ethernet Server Adapter
PCI-X (rev 12)
        Subsystem: SysKonnect: Unknown device 2200
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR- FastB2B-
        Status: Cap+ 66Mhz+ UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 64 (2000ns min, 2000ns max), Cache Line Size 10
        Interrupt: pin A routed to IRQ 21
        Region 0: Memory at f0100000 (64-bit, non-prefetchable) [size=16K]
        Region 2: I/O ports at 3000 [size=256]
        [virtual] Expansion ROM at 88100000 [disabled] [size=128K]
        Capabilities: [48] Power Management version 2
                Flags: PMEClk- DSI- D1+ D2- AuxCurrent=0mA
PME(D0+,D1+,D2-,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=1 PME-
        Capabilities: [50] Vital Product Data
        Capabilities: [5c] Message Signalled Interrupts: 64bit+ Queue=0/1 Enable-
                Address: 0000000000000000  Data: 0000
        Capabilities: [6c] PCI-X non-bridge device.
                Command: DPERE+ ERO+ RBC=1 OST=1
                Status: Bus=2 Dev=1 Func=0 64bit+ 133MHz+ SCD- USC-, DC=simple,
DMMRBC=2, DMOST=3, DMCRS=3, RSCEM-


Comment 3 Harald Hoyer 2005-09-27 08:01:25 EDT
2. Run System Tools -> Network
3. Only one eth device is shown

Which dialog do you mean especially? You should be able to create the eth1
interface without any problem :)
Comment 4 Stephen Hemminger 2005-09-27 12:21:17 EDT
Created attachment 119309 [details]
system-config-network opening dialog
Comment 5 Stephen Hemminger 2005-09-27 12:23:27 EDT
Start system-config-network:

Initial screen should show three interfaces: (see attached)
  eth0 << Builtin in tg3 on this workstation
  eth1 << SK-9S22 port 0
  eth2 << SK-9S22 port 1

The problem (at least by looking at strace) is that the program is discovering
network devices by looking for hardware in /sys, and the SK-9S22 has two ports
for one piece of hardware.
Comment 6 Harald Hoyer 2005-09-28 03:00:27 EDT
Err.. this screen only shows the configured devices. Try to "Add" a new
interface and see if "eth2" is in the list.
Comment 7 Stephen Hemminger 2005-09-28 12:26:26 EDT
Yes, it does show up on the "New" button, that will work.

Note You need to log in before you can comment on or make changes to this bug.